#ifndef __PARTICLES
#define __PARTICLES
#include <iostream>
#include <vector>
#include <particle.h>
using namespace std;

template<class C> class Particles
{
  vector<Particle<C> > p;
  int number;
public:
  Particles();
  Particles(int number);
  Particles(int number, int dimension);
  ~Particles();
  bool resize(int number, int dimension);
  int size();
  Particle<C> &operator[](unsigned int i);
  Particle<C> operator[](unsigned int i) const;
  vector<Particle<C> > get_particles();
  int dump_particles();
  string toString();
};


#endif
